Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxHssAccCodelet_p.h
    00001
    00041 #ifndef IXHSSACCCODELET_P_H
    00042 #define IXHSSACCCODELET_P_H
    00043
    00044 #include "IxHssAcc.h"
    00045
    00046 /*
    00047  * Define
    00048  */
    00049
    00050
    00051
    00052 /*
    00053  *  Enumeration
    00054  */
    00055
    00057 typedef enum
    00058 {
    00059     IX_HSSACC_CODELET_PKT_SERV_ONLY = 1,
    00060     IX_HSSACC_CODELET_CHAN_SERV_ONLY,
    00061     IX_HSSACC_CODELET_PKT_CHAN_SERV
    00062 } IxHssAccCodeletOperation;
    00063
    00065 typedef enum
    00066 {
    00067     IX_HSSACC_CODELET_HSS_PORT_0_ONLY = 1,
    00068     IX_HSSACC_CODELET_HSS_PORT_1_ONLY,
    00069     IX_HSSACC_CODELET_DUAL_PORTS
    00070 } IxHssAccCodeletPortMode;
    00071
    00073 typedef enum
    00074 {
    00075     IX_HSSACC_CODELET_VERIFY_ON = 1,
    00076     IX_HSSACC_CODELET_VERIFY_OFF
    00077 } IxHssAccCodeletVerifyMode;
    00078
    00079 /*
    00080  * Prototypes for interface functions.
    00081  */
    00082
    00088 IX_STATUS
    00089 ixHssAccCodeletInit (void);
    00090
    00091
    00102 void
    00103 ixHssAccCodeletServiceStart (IxHssAccCodeletPortMode portMode);
    00104
    00177 void
    00178 ixHssAccCodeletConfigure (
    00179     IxHssAccHssPort hssPortId);
    00180
    00233 void
    00234 ixHssAccCodeletPacketisedServiceStart (
    00235     IxHssAccHssPort hssPortId,
    00236     IxHssAccHdlcPort hdlcPortId);
    00237
    00268 void
    00269 ixHssAccCodeletPacketisedServiceRun (
    00270     IxHssAccHssPort hssPortId,
    00271     IxHssAccHdlcPort hdlcPortId);
    00272
    00288 void
    00289 ixHssAccCodeletPacketisedServiceStop (
    00290     IxHssAccHssPort hssPortId,
    00291     IxHssAccHdlcPort hdlcPortId);
    00292
    00302 void
    00303 ixHssAccCodeletPacketisedVerifySet (
    00304     BOOL verifyOn);
    00305
    00383 void
    00384 ixHssAccCodeletChannelisedServiceConfigure (
    00385     IxHssAccHssPort hssPortId);
    00386
    00396 void
    00397 ixHssAccCodeletChannelisedServiceStart (
    00398     IxHssAccHssPort hssPortId);
    00399
    00438 void
    00439 ixHssAccCodeletChannelisedServiceRun (
    00440     IxHssAccHssPort hssPortId);
    00441
    00454 void
    00455 ixHssAccCodeletChannelisedServiceStop (
    00456     IxHssAccHssPort hssPortId);
    00457
    00467 void
    00468 ixHssAccCodeletChannelisedVerifySet (
    00469     BOOL verifyOn);
    00470
    00479 void
    00480 ixHssAccCodeletShow (
    00481     IxHssAccHssPort hssPortId);
    00482
    00491 void
    00492 ixHssAccCodeletShowReset (
    00493     IxHssAccHssPort hssPortId);
    00494
    00501 BOOL
    00502 ixHssAccCodeletCodeletLoopbackGet (void);
    00503
    00513 void
    00514 ixHssAccCodeletCodeletLoopbackSet (
    00515     BOOL codeletLoopback);
    00516
    00523 BOOL
    00524 ixHssAccCodeletHssLoopbackGet (void);
    00525
    00535 void
    00536 ixHssAccCodeletHssLoopbackSet (
    00537     BOOL hssLoopback);
    00538
    00539
    00540 #endif /* IXHSSACCCODELET_P_H */
    00541
Automatically generated from sources. © Intel Corp. 2003